package BPpackage;

import android.app.Activity;
import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.TextView;
import BPpackage.R;


public class DictAdapter extends ArrayAdapter<GlossaryEntry>{

	Context context;
	int layoutResourceId;   
	GlossaryEntry data[] = null;
	
	public DictAdapter(Context context, int layoutResourceId, GlossaryEntry[] data) {
		super(context, layoutResourceId, data);
		this.layoutResourceId = layoutResourceId;
		this.context = context;
		this.data = data;
	}
	
	@Override
		public View getView(int position, View convertView, ViewGroup parent) {
		View row = convertView;
		mHolder holder = null;
		
		if(row == null)
			{
				LayoutInflater inflater = ((Activity)context).getLayoutInflater();
				row = inflater.inflate(layoutResourceId, parent, false);
				
				holder = new mHolder();
				holder.jian = ( TextView )row.findViewById(R.id.jian);
				holder.pinyin = (TextView)row.findViewById(R.id.pinyin);
				holder.fan = (TextView)row.findViewById(R.id.fan);
				holder.def = (TextView)row.findViewById(R.id.def);
				
				row.setTag(holder);
				}
		else
			{
				holder = (mHolder)row.getTag();
			}
		
		GlossaryEntry entry = data[position];
		holder.jian.setText(entry.jian);
		holder.pinyin.setText(entry.pinyin);
		holder.fan.setText(entry.fan);
		holder.def.setText(entry.def);
		
		
		return row;
	}
	
	//		static class mHolder
	class mHolder
	{
		TextView jian;
		TextView pinyin;
		TextView fan;
		TextView def;
	}
}
